OS X: Errors when I use wstool to update my workspace!

asked 2018-07-10 06:58:21 -0600

linlin97 gravatar image

Currently when I use wstool to update my workspace, I got errors like that:

ERROR [vcstools] Tarball download unpack failed: < urlopen error [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:661)>[/vcstools]

All my packages have this error and it can't be processed. My Openssl version is 1.0.2l and my sslversion is tlsv1.2. I have tried to update my brew, pip and python. I checked my vcstools and wstool which are up-to-date. And it still doesn't work.

I'm new to ROS. Help me plz.

edit retag flag offensive close merge delete